

 .body {
  width: 100%;
  position: absolute;
  /* background-image: url('../../../assets/img/tumblr_fad698de81abf1f122ea815789e2d757_95f1e59a_640.webp'); */
  height: 50vw;
  /*Imagen de fondo*/
  /*
  Ir a https://webgradients.com y copiar 002 Night Fade, cambiar a rgb, colocando el puntero en el color y luego en el cuadro presionar el cuadro superior izquierdo.
  El ultimo valor del rgb es la transparencia.
  */
  background-image: linear-gradient(to top, rgb(255, 241, 235,0.5) 0%, rgb(172, 224, 249,0.5) 100%), url(../../../assets/img/tumblr_fad698de81abf1f122ea815789e2d757_95f1e59a_640.webp);

  background-repeat: no-repeat;
  /*Escala la imagen al mayor tamaño posible sin estirarla. Si las proporciones de la imagen difieren de las del elemento, es recortada verticalmente u horizontalmente para que no quede un espacio vacio*/
  background-size: cover;
  /*Determina si la posicion de la imagen de fondo sera fija dentro de la pantalla o se desplazara con su bloque contenedor, si es fixed la imagen de fondo estara fija en la pantalla y no se movera con el bloque contenedor*/
  background-attachment: fixed;
  /*Centra la posicion de la imagen*/
  background-position: center;

} 
.title{
  text-align: center;
  color: rgb(7, 119, 123);
  margin-top: 10px;
  margin-bottom: -20px;
 font-family: 'Montserrat', sans-serif;  
  
}
.bienvenida{
  font-size: 30px;
  font-weight: 900;
  color: darkslateblue;
  font-family: 'Fredoka One', cursive;
}

.rayitas{
  border: 2px dashed  darkslateblue;
  border-radius: 20px;
}
.form{
  margin-top: 10%;
  margin-left: 20%;
  background-color: white;
  width: 50%;
  border-radius: 20px;
  padding: 10px;
  display: inline-block;
}

.lado1{
  display: inline-block;
  margin: 10%
}

.retornar{
  background-color: rgb(105, 86, 231);
  border-radius: 20px;
  padding: 5px;
  border: 2px solid rgb(105, 86, 231);
  color: white;
  font-family: 'Fredoka One', cursive;
  margin: 5px 5px;
}

.btn{
  background-color: rgb(105, 86, 231);
  border-radius: 20px;
  padding: 5px;
  border: 2px solid rgb(105, 86, 231);
  color: white;
  font-family: 'Fredoka One', cursive;
  margin-left: 40%; 
}

.lado2{
  display: inline-block;
  margin: 10%
}

.row{
  position: relative;
  margin-bottom: 0px;
}

.mat-form-field {
  padding-bottom: 0px;
}

/*Validaciones*/
.is-invalid {
  color: #ff0000;
  /* border: 1px solid #ff0000a6; */
  }
  
  .text-danger {
  display: block;
  margin-left: -2px;
  padding-top: -20px;
  color: #ff0000a6;
  }
